- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages/create#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Initiates a new stream message in a Google Chat space.

<br />

Requires [app authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-app) with the authorization scope:

- `https://www.googleapis.com/auth/chat.bot`

### HTTP request

`POST https://chat.googleapis.com/v1/{parent=spaces/*}/streamMessages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the space where the stream message will be created. Format: `spaces/{space}` |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages#StreamMessage`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.streamMessages#StreamMessage`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `https://www.googleapis.com/auth/chat.messages`
- `https://www.googleapis.com/auth/chat.messages.create`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).